
Katello - Feature #5190

Systems/Hosts: The Katello Systems API should exist but be documented as unsupported.

04/14/2014 03:28 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102264 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1669

  

Description

The existing Katello v2 API for Systems will continue to exist; however, the documentation should be updated to indicate that it is

unsupported.

Associated revisions

Revision c0d56888 - 08/11/2014 02:07 PM - Adam Price

refs #5190 - updating dependency on apipie-rails

so that we can mark apidoc'd routes as deprecated

(cherry picked from commit 1aa0013c9d8b83d1e4791328f880afd1b659bbf9)

Revision 3dc3e938 - 08/11/2014 02:29 PM - Adam Price

fixes #5190 - adding annotations to deprecated routes, BZ 1102264

History

#1 - 04/28/2014 04:25 PM - Brad Buckingham

- Target version set to 44

- Triaged changed from No to Yes

#2 - 05/28/2014 04:10 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102264

#3 - 05/28/2014 04:11 PM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Brad Buckingham

- Target version changed from 44 to 45

#4 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/28/2014 03:40 AM - Eric Helms

- translation missing: en.field_release set to 13

#6 - 07/07/2014 07:43 AM - Eric Helms

- Target version changed from 48 to 49

#7 - 07/24/2014 01:03 PM - Adam Price

- Assignee changed from Brad Buckingham to Adam Price
#8 - 07/28/2014 08:41 AM - Eric Helms

- Target version changed from 49 to 54

#9 - 08/08/2014 04:03 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1669 added

- Pull request deleted ()

#10 - 08/11/2014 05:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|3dc3e9388bd9fdba034f7b16a289d1d892f27c4d.
